com.icl.saxon

## Class ContentEmitter

- java.lang.Object
- - com.icl.saxon.ContentEmitter

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.LexicalHandler
  Direct Known Subclasses:
    IdentityTransformerHandler, TemplatesHandlerImpl, TransformerHandlerImpl

      public class ContentEmitter
      extends java.lang.Object
      implements org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.DTDHandler

  ContentEmitter is a glue class that provides a standard SAX ContentHandler interface to a Saxon Emitter. To achieve this it needs to map names supplied as strings to numeric name codes, for which purpose it needs access to a name pool. The class also performs the function of assembling adjacent text nodes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentEmitter()` create a ContentEmitter and initialise variables

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Callback interface for SAX: not for application use
    `void` | `comment(char[] ch, int start, int length)` Callback interface for SAX (part of LexicalHandler interface): not for application use
    `void` | `endCDATA()`
    `void` | `endDocument()` Callback interface for SAX: not for application use
    `void` | `endDTD()` Register the end of the DTD.
    `void` | `endElement(java.lang.String uri, java.lang.String localname, java.lang.String rawname)` Callback interface for SAX: not for application use
    `void` | `endEntity(java.lang.String name)`
    `void` | `endPrefixMapping(java.lang.String prefix)` Callback interface for SAX: not for application use
    `void` | `ignorableWhitespace(char[] ch, int start, int length)` Callback interface for SAX: not for application use
    `void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
    `void` | `processingInstruction(java.lang.String name, java.lang.String remainder)` Callback interface for SAX: not for application use
    `void` | `setDocumentLocator(org.xml.sax.Locator locator)` Callback interface for SAX: not for application use
    `void` | `setEmitter(Emitter e)`
    `void` | `setNamePool(NamePool namePool)`
    `void` | `skippedEntity(java.lang.String name)`
    `void` | `startCDATA()`
    `void` | `startDocument()` Callback interface for SAX: not for application use
    `void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Register the start of the DTD.
    `void` | `startElement(java.lang.String uri, java.lang.String localname, java.lang.String rawname, org.xml.sax.Attributes atts)` Callback interface for SAX: not for application use
    `void` | `startEntity(java.lang.String name)`
    `void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Callback interface for SAX: not for application use
    `void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentEmitter

          public ContentEmitter()

      create a ContentEmitter and initialise variables

  - ### Method Detail

    - #### setEmitter

          public void setEmitter(Emitter e)

    - #### setNamePool

          public void setNamePool(NamePool namePool)

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Callback interface for SAX: not for application use
      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Callback interface for SAX: not for application use
      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator(org.xml.sax.Locator locator)

      Callback interface for SAX: not for application use
      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

    - #### startPrefixMapping

          public void startPrefixMapping(java.lang.String prefix,
                                java.lang.String uri)

      Callback interface for SAX: not for application use
      Specified by:
        `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

    - #### endPrefixMapping

          public void endPrefixMapping(java.lang.String prefix)

      Callback interface for SAX: not for application use
      Specified by:
        `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localname,
                          java.lang.String rawname,
                          org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Callback interface for SAX: not for application use
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localname,
                        java.lang.String rawname)
                          throws org.xml.sax.SAXException

      Callback interface for SAX: not for application use
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)

      Callback interface for SAX: not for application use
      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                 int start,
                                 int length)

      Callback interface for SAX: not for application use
      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`

    - #### processingInstruction

          public void processingInstruction(java.lang.String name,
                                   java.lang.String remainder)
                                     throws org.xml.sax.SAXException

      Callback interface for SAX: not for application use
      Specified by:
        `processingInstruction` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### comment

          public void comment(char[] ch,
                     int start,
                     int length)
                       throws org.xml.sax.SAXException

      Callback interface for SAX (part of LexicalHandler interface): not for application use
      Specified by:
        `comment` in interface `org.xml.sax.ext.LexicalHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### skippedEntity

          public void skippedEntity(java.lang.String name)

      Specified by:
        `skippedEntity` in interface `org.xml.sax.ContentHandler`

    - #### startDTD

          public void startDTD(java.lang.String name,
                      java.lang.String publicId,
                      java.lang.String systemId)

      Register the start of the DTD. Comments in the DTD are skipped because they are not part of the XPath data model
      Specified by:
        `startDTD` in interface `org.xml.sax.ext.LexicalHandler`

    - #### endDTD

          public void endDTD()

      Register the end of the DTD. Comments in the DTD are skipped because they are not part of the XPath data model
      Specified by:
        `endDTD` in interface `org.xml.sax.ext.LexicalHandler`

    - #### startEntity

          public void startEntity(java.lang.String name)

      Specified by:
        `startEntity` in interface `org.xml.sax.ext.LexicalHandler`

    - #### endEntity

          public void endEntity(java.lang.String name)

      Specified by:
        `endEntity` in interface `org.xml.sax.ext.LexicalHandler`

    - #### startCDATA

          public void startCDATA()

      Specified by:
        `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`

    - #### endCDATA

          public void endCDATA()

      Specified by:
        `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`

    - #### notationDecl

          public void notationDecl(java.lang.String name,
                          java.lang.String publicId,
                          java.lang.String systemId)

      Specified by:
        `notationDecl` in interface `org.xml.sax.DTDHandler`

    - #### unparsedEntityDecl

          public void unparsedEntityDecl(java.lang.String name,
                                java.lang.String publicId,
                                java.lang.String systemId,
                                java.lang.String notationName)
                                  throws org.xml.sax.SAXException

      Specified by:
        `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
      Throws:
        `org.xml.sax.SAXException`